javax.websocket

## Class Endpoint

- java.lang.Object
- - javax.websocket.Endpoint

-     public abstract class Endpoint
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Endpoint()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClose(Session session, CloseReason closeReason)` Event that is triggered when a session has closed.
    `void` | `onError(Session session, java.lang.Throwable throwable)` Event that is triggered when a protocol error occurs.
    `abstract void` | `onOpen(Session session, EndpointConfig config)` Event that is triggered when a new session starts.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Endpoint

          public Endpoint()

  - ### Method Detail

    - #### onOpen

          public abstract void onOpen(Session session,
                    EndpointConfig config)

      Event that is triggered when a new session starts.
      Parameters:
        `session` - The new session.
        `config` - The configuration with which the Endpoint was configured.

    - #### onClose

          public void onClose(Session session,
                     CloseReason closeReason)

      Event that is triggered when a session has closed.
      Parameters:
        `session` - The session
        `closeReason` - Why the session was closed

    - #### onError

          public void onError(Session session,
                     java.lang.Throwable throwable)

      Event that is triggered when a protocol error occurs.
      Parameters:
        `session` - The session.
        `throwable` - The exception.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.